<app-candidate-nav></app-candidate-nav>

<div *ngIf="!data">
    Unable to get data 
    <a href="candidate-management/viewGrad">click to try again</a>
</div>
<div *ngIf="data" class="mat-elevation-z8">
    <table>
        <tr>
            <td>
                Grad ID:
            </td>
            <td>
                {{data.gradId}}
            </td>
        </tr>
        <tr>
            <td>
                Name:
            </td>
            <td>
                {{data.gradFirstName}}&nbsp; {{data.gradMiddleName}}&nbsp; {{data.gradLastName}}
            </td>
        </tr>
        <tr>
            <td>Gender:</td>
            <td>{{data.gender}}</td>
        </tr>
        <tr>
            <td>
                Email id:
            </td>
            <td>
                {{data.email}}
            </td>
        </tr>
        <tr>
            <td>
                Contact:
            </td>
            <td>{{data.contact}}</td>
        </tr>
        <tr>
            <td>Address:</td>
            <td>
                {{data.houseNo}},&nbsp;
                {{data.street}},&nbsp;{{data.city}},
                {{data.state}}
            </td>
        </tr>
        <tr>
            <td>Zip-Code:</td>
            <td>{{data.zipcode}}</td>
        </tr>

        <tr>
            <td>Institute:</td>
            <td>{{data.institute}}</td>
        </tr>
        <tr>
            <td>Qualification:</td>
            <td>{{data.degree}}</td>
        </tr>
        <tr>
            <td>
                Branch
            </td>
            <td>
                {{data.branch}}
            </td>
        </tr>
        <tr>
            <td>Joining Date:</td>
            <td>
                {{data.joiningDate}}
            </td>
        </tr>
        <tr>
            <td>Joining Location:</td>
            <td>
                {{data.joiningLocation}}
            </td>
        </tr>
        <tr *ngIf="feedback!=null">
            <td>Feedback:</td>
            <td>
                {{data.feedback}}
            </td>
        </tr>
        
    </table>
    
    <div>
        <table>
            <tr>
                <td>
                    <button mat-raised-button color="primary" (click)="viewAll()">
                        View all Grads &nbsp;<mat-icon>perm_identity</mat-icon>
                    </button>
                </td>
                <td><button mat-raised-button color="warn" (click)="editDetails()">
                    Edit Grad Details &nbsp;<mat-icon>create</mat-icon>
                </button></td>
                <td>
                    <button mat-raised-button color="warn" (click)="showHistory()">
                        Show History &nbsp;
                    </button>
                </td>
            </tr>
        </table>
    </div>
    <div class="skills">
        <div class="name">Skills</div>
        <div *ngIf="data.skills">
            <mat-grid-list cols="3" rowHeight="5:1">
                <mat-grid-tile *ngFor="let skill of data.skills"><button mat-stroked-button
                        color="primary">{{skill.skillName}}</button></mat-grid-tile>
            </mat-grid-list>
        </div>
    </div>
</div>
